Bug 475954 - (CVE-2008-5621) CVE-2008-5621 phpMyAdmin: SQL injection through XSRF on several pages (PMASA-2008-10)
CVE-2008-5621 phpMyAdmin: SQL injection through XSRF on several pages (PMASA-...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://www.phpmyadmin.net/home_page/s...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-11 04:59 EST by Robert Scheck
Modified: 2008-12-17 09:24 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-17 09:24:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2008-12-11 04:59:43 EST
Description of problem:
SQL injection through XSRF on several pages, see: http://www.phpmyadmin.net
/home_page/security/PMASA-2008-10.php

Version-Release number of selected component (if applicable):
For 2.11.x: versions before 2.11.9.4.
For 3.x: versions before 3.1.1.0.

-> Affects all active Fedora and EPEL branches.
Comment 4 Robert Scheck 2008-12-11 06:56:12 EST
936 (phpMyAdmin): Build on target fedora-4-epel succeeded.
935 (phpMyAdmin): Build on target fedora-5-epel succeeded.

Package: phpMyAdmin-3.1.1-1.fc8 Tag: dist-f8-updates-candidate Status: complete Built by: robert
Package: phpMyAdmin-3.1.1-1.fc9 Tag: dist-f9-updates-candidate Status: complete Built by: robert
Package: phpMyAdmin-3.1.1-1.fc10 Tag: dist-f10-updates-candidate Status: complete Built by: robert
Package: phpMyAdmin-3.1.1-1.fc11 Tag: dist-f11 Status: complete Built by: robert
Comment 5 Fedora Update System 2008-12-13 09:57:25 EST
phpMyAdmin-3.1.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-12-13 10:01:38 EST
phpMyAdmin-3.1.1-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-12-13 10:07:31 EST
phpMyAdmin-3.1.1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Tomas Hoger 2008-12-17 09:21:34 EST
2 CVE ids were assigned to this PMSA:
  http://www.openwall.com/lists/oss-security/2008/12/17/4

CVE-2008-5621:
Cross-site request forgery (CSRF) vulnerability in phpMyAdmin 2.11.x
before 2.11.9.4 and 3.x before 3.1.1.0 allows remote attackers to
perform unauthorized actions as the administrator via a link or IMG
tag to tbl_structure.php with a modified table parameter. NOTE: this
can be leveraged to conduct SQL injection attacks and execute
arbitrary code.

CVE-2008-5622:
Multiple cross-site request forgery (CSRF) vulnerabilities in
phpMyAdmin 2.11.x before 2.11.9.4 and 3.x before 3.1.1.0 allow remote
attackers to conduct SQL injection attacks via unknown vectors related
to the table parameter, a different vector than CVE-2008-5621.

Though, it does not seem that there are actually 2 separate issues.  Second one was apparently assigned to the following change mentioned in the ChangeLog:
  - [security] possible XSRF on several pages

But this entry was added as not quite clear description for SQL injection that got CVE-2008-5621, as can be checked in the upstream commit:
http://phpmyadmin.svn.sourceforge.net/viewvc/phpmyadmin?view=rev&revision=12100

References:
http://www.phpmyadmin.net/home_page/security/PMASA-2008-10.php
http://www.milw0rm.com/exploits/7382

Note You need to log in before you can comment on or make changes to this bug.